Name:           remark-java
Version:        1.2.0
Release:        1%{?dist}
Summary:        A library for taking (X)HTML input and outputting Markdown

License:        ASL 2.0
URL:            https://github.com/kotcrab/%{name}
Source0:        https://github.com/kotcrab/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# POM from maven central since this is a gradle-built project
# and we don't have gradle available in Fedora
Source1:        https://repo1.maven.org/maven2/com/kotcrab/remark/remark/%{version}/remark-%{version}.pom

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-cli:commons-cli)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.jsoup:jsoup)

%description
Remark is a library for taking (X)HTML input and outputting clean Markdown,
Markdown Extra, or MultiMarkdown compatible text. The purpose of this
conversion is mainly to allow for the use of client-side HTML GUI editors
while retaining safe, mobile-device editable markdown text behind the scenes.
It is recommended that the markdown text is stored, to reduce XSS attacks by
code injection.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

cp -p %{SOURCE1} pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.markdown

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 28 2020 Mat Booth <mat.booth@redhat.com> - 1.2.0-1
- Initial packaging of remark-java
